:root {
    --rc-promo-banner-top--height: var(--rc-spacing-xxl, 64px);
}

/* shift content in header menus and body to account for top banner --> */
body:has(.rc-promo-banner-top.rc-promo-banner--shown) {
    padding-top: var(--rc-promo-banner-top--height, 0);
}

body:has(.rc-promo-banner-top.rc-promo-banner--shown) .fixed-to-edge {
    margin-top: var(--rc-promo-banner-top--height, 0);
}

body:has(.rc-promo-banner-top.rc-promo-banner--shown) .fixed-top {
    margin-top: var(--rc-promo-banner-top--height, 0);
}

body:has(.rc-promo-banner-top.rc-promo-banner--shown) .aa-DetachedContainer {
  margin-top: calc( var(--rc-promo-banner-top--height, 0) + var(--wp-admin--admin-bar--height, 0));
}

/* <--- shift content in header menus and body to account for top banner */

/* general promo banner classes */
.rc-promo-banner {
  display: none;
  --ripple-color: 0, 238, 148;
  --ripple-speed: 2.25s;
  --ripple-spread: 4px;
  --ripple-opacity: 0.65;
}

.rc-promo-banner--shown {
  display: flex;
}

.attract-attention {
  --attract-attention-color: var(--attract-color, #00EE94);
  position: relative;
  margin: 0 0.1em;
  padding: 0.05em 0.3em;
  color: var(--attract-attention-color);
}

.attract-attention {
  background: linear-gradient(90deg, var(--attract-attention-color) 0%, #fff 5%, var(--attract-attention-color) 10%);
  background-clip: text;
  color: transparent !important;
  background-size: 200% 100%;
  animation: shimmer 4.5s linear infinite;
}

.attract-attention:before {
  content: '';
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  border-radius: 0.25em;
  z-index: -1;
  animation: ripple var(--ripple-speed)  ease-out infinite;
}

@keyframes ripple {
  0%   { box-shadow: 0 0 0 0  rgba(var(--ripple-color), var(--ripple-opacity)); }
  70%  { box-shadow: 0 0 0 var(--ripple-spread) rgba(var(--ripple-color), 0); }
  100% { box-shadow: 0 0 0 var(--ripple-spread) rgba(var(--ripple-color), 0); }
}

@keyframes shimmer {
  0%{
    background-position: 200% 0;
  }
  100% {
    background-position: -200% 0;
  }
}

@media (max-width: 991.98px) {
  .rc-promo-banner-top .attract-attention {
    font-weight: 700;
  }
}

/* Adjustments for promo_banner_top__courses */
:root {
  --page-body-mt: 80px;
}

body.single-compliance-trainings {
  --page-body-mt: 155px;
}

@media only screen and (max-width: 992px) {
  :root {
    --page-body-mt: 43px;
  }

  body.single-compliance-trainings {
    --page-body-mt: 59px;
  }
}

@media (max-width: 991.98px) {
  [id^='promo_banner_top__courses'].rc-promo-banner-top:has(.rc-promo-banner__button--close) .rc-promo-banner-top__text {
    margin-left: calc(var(--rc-spacing-xs) + var(--rc-promo-banner-top--button-close--marging-left));
  }
  [id^='promo_banner_top__courses'].rc-promo-banner-top .rc-promo-banner__button--close {
    order: inherit;
  }
}

[id^='promo_banner_top__courses'].rc-promo-banner-top {
  display: flex;
  overflow: hidden;
  height: var(--rc-promo-banner-top--height);
  top: 0;
}

body:has([id^='promo_banner_top__courses'].rc-promo-banner-top.rc-promo-banner-top) {
  padding-top: 0;
  margin-top: calc(var(--page-body-mt) + var(--rc-promo-banner-top--height, 0));
}

body:has([id^='promo_banner_top__courses'].rc-promo-banner-top) .fixed-top,
body:has([id^='promo_banner_top__courses'].rc-promo-banner-top) .fixed-to-edge {
  margin-top: calc(var(--rc-promo-banner-top--height, 0));
}

/* ct/pt page adjustments */
body:has([id^='promo_banner_top__courses']).single-compliance-trainings.admin-bar .site-content #toc.fixed {
  top: calc(195px + var(--rc-promo-banner-top--height, 0px));
}
body:has([id^='promo_banner_top__courses']).single-compliance-trainings .site-content #toc.fixed {
  top: calc(163px + var(--rc-promo-banner-top--height, 0px));
}
@media (max-width: 991.98px) {
  body:has([id^='promo_banner_top__courses']).single-compliance-trainings.admin-bar .site-content #toc.fixed {
    top: calc(112px + var(--rc-promo-banner-top--height, 0px));
  }
  body:has([id^='promo_banner_top__courses']).single-compliance-trainings .site-content #toc.fixed {
    top: calc(80px + var(--rc-promo-banner-top--height, 0px));
  }
}

body:has([id^='promo_banner_top__courses']).single-compliance-trainings.admin-bar .site-content .sidebar.fixed {
  top: calc(195px + var(--rc-promo-banner-top--height, 0px));
}

body:has([id^='promo_banner_top__courses']).single-compliance-trainings .site-content .sidebar.fixed {
  top: calc(163px + var(--rc-promo-banner-top--height, 0px));
}

/* promotional top banner */
.rc-promo-banner-top {
    --rc-promo-banner-top--bg-color: var(--rc-color-primary-700, #003873);
    --rc-promo-banner-top--button-close--marging-left: var(--rc-spacing-m, 24px);

    background-color: var(--rc-promo-banner-top--bg-color);
    color: white;

    font-size: 16px;
    line-height: 24px;
    font-weight: 400;

    /* 10 less than wpadminbar z-index */
    z-index: 99989;
    width: 100%;

    position: fixed;
    top: 0;

    /* allocate space for wp admin bar to show on top */
    margin-top: var(--wp-admin--admin-bar--height, 0px);

    /*user-select: none;*/
}

.rc-promo-banner-top .container {
    display: flex;
}

.rc-promo-banner-top,
.rc-promo-banner-top .container {
    flex-direction: row;
    align-items: center;
    height: var(--rc-promo-banner-top--height);
    overflow: hidden;
}

.rc-promo-banner-top__text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.rc-promo-banner-top__text strong {
    font-weight: 700;
}

.rc-promo-banner-top .rc-promo-banner__button {
    margin-left: auto;
}

.rc-promo-banner-top .rc-promo-banner__button--close {
    margin-left: var(--rc-promo-banner-top--button-close--marging-left, 0px);
}

/* promo button */
.rc-promo-banner__button {
    background-color: var(--rc-color-neutral-000--o-8);

    color: white;

    font-weight: var(--rc-button-s--font-weight);
    font-size: var(--rc-button-s--font-size);
    line-height: var(--rc-button-s--line-height);

    text-decoration: none;

    padding: var(--rc-spacing-xs) 20px;

    vertical-align: middle;
}

/* hover effect */
.rc-promo-banner__button:hover,
.rc-promo-banner__button:hover * {
    color: white;
    text-shadow: 0 0 .75px currentColor, 0 0 .75px currentColor !important;
}

.rc-promo-banner__button:has(svg) {
    padding-right: var(--rc-spacing-xs);
}

.rc-promo-banner__button svg {
    width: var(--rc-spacing-m);
    height: var(--rc-spacing-m);

    margin-left: var(--rc-spacing-xxs);
    color: var(--rc-color-neutral-000);

    display: inline-block;
    position: initial;
    transform: none;
}

/* promo close button */
.rc-promo-banner__button--close {
    width: fit-content;
    cursor: pointer;
    margin-left: var(--rc-spacing-m);
}

/* mobile rc-promo-banner-top layout */
@media (max-width: 991.98px) {
    :root {
        --rc-promo-banner-top--height: 56px;
    }

    .rc-promo-banner-top {
        --rc-promo-banner-top--bg-color: var(--rc-color-primary-800, #001C3A);

    }

    .rc-promo-banner-top,
    .rc-promo-banner-top strong,
    .rc-promo-banner-top > * {
        font-size: 12px;
        line-height: 16px;
        font-weight: 500;
        letter-spacing: -0.005em;
    }

    .rc-promo-banner-top,
    .rc-promo-banner-top .container {
        order: 2;
        gap: var(--rc-spacing-xs);
        max-width: 100%;
    }

    .rc-promo-banner-top > *,
    .rc-promo-banner-top .container > * {
        order: 1;
    }

    /* close button position */
    .rc-promo-banner-top .rc-promo-banner__button--close {
        order: 0;
        margin-left: 0;
        flex-shrink: 0;
    }

    .rc-promo-banner__button:has(svg) .rc-promo-banner__button-text {
        display: none;
    }

    .rc-promo-banner__button:has(svg) {
        padding: var(--rc-spacing-xxs);
    }

    .rc-promo-banner__button svg {
        margin: 0;
    }
}

/* promo modal banner */
.rc-promo-banner-modal {
    --rc-promo-banner-modal--width: 440px;
    --rc-promo-banner-modal--window-offset: var(--rc-spacing-xl, 48px);
    --rc-promo-banner-modal--padding: var(--rc-spacing-l, 32px);
    --rc-promo-banner-modal--border-top: var(--rc-spacing-xxxs, 4px);

    background-color: white;

    /* * less than fixed-top z-index */
    z-index: 990;

    position: fixed;
    bottom: var(--rc-promo-banner-modal--window-offset);
    left: var(--rc-promo-banner-modal--window-offset);
    right: var(--rc-promo-banner-modal--window-offset);
    width: var(--rc-promo-banner-modal--width);

    flex-direction: column;

    border-top: var(--rc-promo-banner-modal--border-top) var(--rc-color-accent-500) solid;
    padding: calc(var(--rc-promo-banner-modal--padding) - var(--rc-promo-banner-modal--border-top)) var(--rc-promo-banner-modal--padding) var(--rc-promo-banner-modal--padding);

    user-select: none;

    box-shadow: 0 16px 32px 0 #00000014;
}

/* mobile rc-promo-banner-modal layout */
@media (max-width: 767.98px) {
    .rc-promo-banner-modal {
        --rc-promo-banner-modal--width: unset;

        --rc-promo-banner-modal--window-offset: var(--rc-spacing-xs, 12px);
        --rc-promo-banner-modal--padding: var(--rc-spacing-m, 24px);
    }
}

.rc-promo-banner-modal__header {
    color: var(--rc-color-accent-500);

    font-size: 14px;
    line-height: 20px;
    font-weight: 600;
    letter-spacing: 0.08em;

    display: flex;
    align-items: center;

    margin-bottom: 20px;
    text-transform: uppercase;
}

.rc-promo-banner-modal__header .rc-promo-banner__button--close {
    margin-left: auto;
}

.rc-promo-banner-modal__content {
    display: flex;
    flex-direction: column;
    gap: var(--rc-spacing-xxs);
}

.rc-promo-banner__content-header {
    color: var(--rc-color-primary-700);

    font-size: 16px;
    line-height: 24px;
    font-weight: 700;
}

.rc-promo-banner__content-body {
    color: var(--rc-color-neutral-500);

    font-size: 13px;
    line-height: 20px;
    font-weight: 400;
    letter-spacing: -0.01em;
}

.rc-promo-banner-modal__footer {
    margin-top: var(--rc-spacing-m);
}

.rc-promo-banner-modal__footer form,
.rc-promo-banner-modal__footer {
    display: flex;
    flex-direction: column;
    gap: var(--rc-spacing-xs);
}

.rc-promo-banner-modal input:not(#non-existent) {
    border: 1px solid var(--rc-color-neutral-200);
    border-radius: 0;
    padding: var(--rc-spacing-s) var(--rc-spacing-xs) !important;

    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
}

.rc-promo-banner-modal input::placeholder {
    color: var(--rc-color-neutral-400);
}

.rc-promo-banner-modal [type="submit"] {
    border: 0;
    padding: var(--rc-spacing-s) var(--rc-spacing-xs) !important;

    color: var(--rc-color-neutral-900);

    font-size: 15px;
    line-height: 24px;
    font-weight: 700;

    display: flex;
    justify-content: center;
    gap: var(--rc-spacing-xxs);
}

.rc-promo-banner-modal [type="submit"] svg {
    width: fit-content;
}

/* pertains to pages with compliance training templates */
.page-template-page-compliance-training .rc-promo-banner__button {
    border-radius: var(--rc-spacing-xxs, 8px);
}